%define debug_package %{nil}

Name:		mono-basic
Version:	2.0
Release:	4%{?dist}
Summary:        VisualBasic.NET support for mono
Group:          Development/Languages
License:        LGPLv2+
Patch0:		mono-basic.patch
URL:            http://www.mono-project.com/
Source0:        %{name}-%{version}.tar.bz2	
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Yeah, so this guy isn't self-hosting.
BuildRequires:	mono-basic pkgconfig
BuildRequires:  mono-devel >= 2.0
Requires: 	mono-winforms

ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha

%description
This package contains the Visual Basic .NET compiler and language
runtime. This allows you to compile and run VB.NET application and
assemblies.

%package devel
Summary: Development files for mono-basic
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} pkgconfig
 
%description devel
Development files for mono-basic

%prep
%setup -q
sed -i -e 's!@@LIBDIR@@!%{_libdir}!' %{PATCH0}
sed -i -e 's!@libdir@!%{_libdir}!' %{PATCH0}
%patch0 -p1 -b .original
sed -i -e 's!%{_libdir}!@@LIBDIR@@!' %{PATCH0} 
# Get rid of bootstrap binary bits

%build
./configure --prefix=%{_prefix} --libdir=%{_libdir}
make libdir=%{_libdir}

%install
%{__rm} -rf %{buildroot}
make libdir=%{_libdir} DESTDIR=%{buildroot} install
mkdir -p %{buildroot}/%{_libdir}/pkgconfig

cat <<EOF >%{buildroot}/%{_libdir}/pkgconfig/mono-basic.pc
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}

Name: mono-basic
Description: mono-basic - VB for mono
Version: 2.0
Libs: -r:%{_libdir}/mono/2.0/Microsoft.VisualBasic.dll
EOF

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%{_bindir}/vbnc
%{_libdir}/mono/2.0/vbnc*
%{_libdir}/mono/2.0/Microsoft.VisualBasic.dll
%{_libdir}/mono/gac/Microsoft.VisualBasic

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/mono-basic.pc

%changelog
* Fri Oct 03 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-4
- bump to RC4

* Mon Sep 29 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-3
- bump to RC3
- alter excludearch to exclusivearch
- alter version number in pc file

* Tue Sep 09 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-2
- bump to 2.0 RC 1

* Sun Aug 10 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-1
- bump to 2.0 preview 1

* Tue Apr 29 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-4
- spec file changelog fix
- added BR pkgconfig

* Mon Apr 21 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-3
- added devel subpackage
- removed debug package

* Fri Apr 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.9-2
- get rid of bootstrap binary bits

* Thu Feb 21 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.9-1
- bump

* Tue Jan 08 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-4
- add excludearch ppc64
- alter license to LGPLv2+

* Thu Jan 03 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-3
- minor spec file fixes

* Thu Dec 20 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.6-2
- bump
- fix for vbnc

* Sun Apr 22 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.4-1
- bump

* Sat Feb 17 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 1.2.3-1
- Initial import for FE
